# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Find-Rule-Perl
Version:	1.13
Release:	1.%{__distinit}%{__distvers}
Summary:	Common rules for searching for Perl things
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/File-Find-Rule-Perl/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-Find-Rule-Perl-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(constant)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Find::Rule) >= 0.20
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Spec::Unix)
BuildRequires:	perl(lib)
BuildRequires:	perl(Params::Util) >= 0.38
BuildRequires:	perl(Parse::CPAN::Meta) >= 1.38
BuildRequires:	perl(Test::CPAN::Meta) >= 0.07
# Test::MinimumVersion requires File::Find::Rule::Perl itself
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::MinimumVersion)
%endif
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(Test::Pod) >= 1.44
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# noarch, but to avoid debug*.list interfering with no_index test:
%global debug_package %{nil}

%description
Common rules for searching for Perl things.

%prep
%setup -q -n File-Find-Rule-Perl-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/*.t" AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Find::Rule::Perl.3pm*

%changelog
* Wed Oct 21 2012 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - Module::Install update
- BR: perl(ExtUtils::MakeMaker)

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.12-5
- Perl 5.16 post-bootstrap rebuild

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.12-4
- BR: perl(Cwd), perl(File::Path), perl(File::Spec::Functions) and perl(lib)
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 1.12-3
- Drop workaround for old Params::Util versions and
  BR: perl(Params::Util) ≥ 0.38
- BR: perl(Parse::CPAN::Meta) ≥ 1.38
- Don't need to remove empty directories from buildroot
- Add buildreqs for Perl core modules that might be dual-lived

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> - 1.12-2
- Run the developer tests too
- Don't BR: perl(Test::MinimumVersion) if we're bootstrapping as it requires
  this module itself

* Mon Oct 31 2011 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Updating to Module::Install::DSL 1.04
  - Skip MYMETA.json too
  - Do not import from Params::Util
  - Ignore debian directory in tests
  - Ignore all dot dirs in tests
- Update patch for old Params::Util versions
- BR: perl(Carp)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1.10-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Oct  6 2010 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Upgrading to Module::Install::DSL 1.00
  - Removing nasty evil use UNIVERSAL;
  - Fix 03_noindex.t to ignore MYMETA.yml
- Update Params::Util version patch

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.09-4
- Rebuild for perl 5.12.1 in Rawhide

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> - 1.09-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 1.09-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Bitbucket error messages produced if we parse the spec without Params::Util

* Thu Jul 30 2009 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09 (fix for Windows)
- Add patch to downgrade Params::Util requirement if we can't satisfy it

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08 (added the debian/ directory to skipped paths list - RT#47921)

* Thu Jul 16 2009 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07 (fix no_index regression with absolute paths)

* Tue Apr 14 2009 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06 (additional tests and target options)
- Update to SLES-compatible dist tag macros

* Thu Feb 19 2009 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05 (add support for no_index exclusions)
- Re-enable buildreqs perl(Test::MinimumVersion) and perl(Test::CPAN::Meta)

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.04-3
- Import from Fedora
- Disable buildreqs perl(Test::MinimumVersion) and perl(Test::CPAN::Meta)
  for now

* Tue Jun 24 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-2
- Unconditionally BR: perl(Test::CPAN::Meta).

* Tue Jun 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-3
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2
- rebuild for new perl

* Mon Nov 19 2007 Ralf Corsépius <rc040203@freenet.de> - 0.03-1
- Initial version.
